> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 按 Slug 查詢事件

> 按 Slug 查詢事件

按 Slug 查詢事件。

> [!NOTE]
>
> 該介面為公開介面，不需要認證。


## OpenAPI

````yaml openapi/event-markets-zh-TW.yaml GET /api/v4/prediction/events/slug/{slug}
openapi: 3.0.3
info:
  title: DexBuilder Prediction Market API
  version: 1.0.0
  description: DexBuilder 事件市場 REST API
servers:
  - url: https://api.dexbuilder.com
security: []
paths:
  /api/v4/prediction/events/slug/{slug}:
    get:
      summary: 按 Slug 查詢事件
      description: 按 Slug 查詢事件
      operationId: query_event_by_slug
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 請求成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventDetail'
        '400':
          description: 請求參數錯誤
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: 服務暫時不可用
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    EventDetail:
      type: object
      properties:
        active:
          type: boolean
        category:
          type: string
          nullable: true
        closed:
          type: boolean
        closed_time:
          type: integer
          nullable: true
        description:
          type: object
          nullable: true
        end_date:
          type: integer
          nullable: true
        event_id:
          type: string
        icon:
          type: string
          nullable: true
        image:
          type: string
          nullable: true
        markets:
          type: array
          items:
            $ref: '#/components/schemas/MarketSummary'
        markets_has_more:
          type: boolean
        resolution_source:
          type: string
          nullable: true
        slug:
          type: string
        start_date:
          type: integer
          nullable: true
        start_time:
          type: integer
          nullable: true
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagSummary'
        title:
          type: object
          nullable: true
        volume:
          type: string
          nullable: true
      description: 回應物件。
    Error:
      type: object
      description: 錯誤回應。
      properties:
        label:
          type: string
          example: INVALID_ARGUMENT
        message:
          type: string
          example: invalid request
    MarketSummary:
      type: object
      properties:
        best_ask:
          type: string
        best_bid:
          type: string
        category:
          type: string
          nullable: true
        closed:
          type: boolean
        condition_id:
          type: string
        end_date:
          type: integer
          nullable: true
        event_id:
          type: string
        last_trade_price:
          type: string
        limit_buy_min_shares:
          type: string
        market_id:
          type: string
        outcomes:
          type: array
          items:
            $ref: '#/components/schemas/OutcomeRef'
        question:
          type: object
          nullable: true
        slug:
          type: string
        start_date:
          type: integer
          nullable: true
        status:
          type: string
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagSummary'
        uma_end_date:
          type: string
          nullable: true
        uma_end_date_iso:
          type: string
          nullable: true
        uma_resolution_status:
          type: string
          nullable: true
        uma_resolution_statuses:
          type: string
          nullable: true
        volume:
          type: string
          nullable: true
        volume_24hr:
          type: string
      description: 回應物件。
    TagSummary:
      type: object
      properties:
        label:
          type: object
          nullable: true
        slug:
          type: string
        tag_id:
          type: string
      description: 回應物件。
    OutcomeRef:
      type: object
      properties:
        outcome:
          type: object
          nullable: true
        token_id:
          type: string
      description: 回應物件。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.